Index: src/mlx/rpc.py
===================================================================
--- src/mlx/rpc.py	(revision 928)
+++ src/mlx/rpc.py	(revision 889)
@@ -1,6 +1,6 @@
-from . import const
-from . import rpccommon
-
-from .common import MAVA_BASE_URL
+import const
+import rpccommon
+
+from common import MAVA_BASE_URL
 
 import jsonrpclib
@@ -28,5 +28,5 @@
         For all other names, the value will be stored as the same-named
         attribute."""
-        for (key, value) in value.items():
+        for (key, value) in value.iteritems():
             if key in instructions:
                 instruction = instructions[key]
@@ -37,6 +37,6 @@
                     value = instruction(value)
                 except:
-                    print("Failed to convert value '%s' of attribute '%s':" % \
-                        (value, key), file=sys.stderr)
+                    print >> sys.stderr, "Failed to convert value '%s' of attribute '%s':" % \
+                        (value, key)
                     import traceback
                     traceback.print_exc()
@@ -111,12 +111,9 @@
                 cs1 = int(self.callsign[2:])
                 cs2 = int(other.callsign[2:])
-                return 0 if cs1==cs2 else -1 if cs1<cs2 else 1
+                return cmp(cs1, cs2)
             except:
-                return 0 if self.callsign==other.callsign \
-                    else -1 if self.callsign<other.callsign else 1
+                return cmp(self.callsign, other.callsign)
         else:
-            v1 = getattr(self, name)
-            v2 = getattr(other, name)
-            return 0 if v1==v2 else -1 if v1<v2 else 1
+            return cmp(getattr(self, name), getattr(other, name))
 
     def __repr__(self):
@@ -169,5 +166,6 @@
                 flightPairs.append(ScheduledFlightPair(flight))
 
-        flightPairs.sort(key = lambda pair: pair.flight0.date)
+        flightPairs.sort(cmp = lambda pair1, pair2:
+                         cmp(pair1.flight0.date, pair2.flight0.date))
 
         return flightPairs
@@ -299,26 +297,26 @@
     def writeIntoFile(self, f):
         """Write the flight into a file."""
-        print("callsign=%s" % (self.callsign,), file=f)
+        print >> f, "callsign=%s" % (self.callsign,)
         date = self.departureTime.date()
-        print("date=%04d-%02d-%0d" % (date.year, date.month, date.day), file=f)
-        print("dep_airport=%s" % (self.departureICAO,), file=f)
-        print("dest_airport=%s" % (self.arrivalICAO,), file=f)
-        print("planecode=%s" % \
-              (BookedFlight.TYPE2TYPECODE[self.aircraftType],), file=f)
-        print("planetype=%s" % (self.aircraftTypeName,), file=f)
-        print("tail_nr=%s" % (self.tailNumber,), file=f)
-        print("passenger=%d" % (self.numPassengers,), file=f)
-        print("crew=%d" % (self.numCrew,), file=f)
-        print("bag=%d" % (self.bagWeight,), file=f)
-        print("cargo=%d" % (self.cargoWeight,), file=f)
-        print("mail=%d" % (self.mailWeight,), file=f)
-        print("flight_route=%s" % (self.route,), file=f)
+        print >> f, "date=%04d-%02d-%0d" % (date.year, date.month, date.day)
+        print >> f, "dep_airport=%s" % (self.departureICAO,)
+        print >> f, "dest_airport=%s" % (self.arrivalICAO,)
+        print >> f, "planecode=%s" % \
+              (BookedFlight.TYPE2TYPECODE[self.aircraftType],)
+        print >> f, "planetype=%s" % (self.aircraftTypeName,)
+        print >> f, "tail_nr=%s" % (self.tailNumber,)
+        print >> f, "passenger=%d" % (self.numPassengers,)
+        print >> f, "crew=%d" % (self.numCrew,)
+        print >> f, "bag=%d" % (self.bagWeight,)
+        print >> f, "cargo=%d" % (self.cargoWeight,)
+        print >> f, "mail=%d" % (self.mailWeight,)
+        print >> f, "flight_route=%s" % (self.route,)
         departureTime = self.departureTime
-        print("departure_time=%02d\\:%02d\\:%02d" % \
-              (departureTime.hour, departureTime.minute, departureTime.second), file=f)
+        print >> f, "departure_time=%02d\\:%02d\\:%02d" % \
+              (departureTime.hour, departureTime.minute, departureTime.second)
         arrivalTime = self.arrivalTime
-        print("arrival_time=%02d\\:%02d\\:%02d" % \
-              (arrivalTime.hour, arrivalTime.minute, arrivalTime.second), file=f)
-        print("foglalas_id=%s" % ("0" if self.id is None else self.id,), file=f)
+        print >> f, "arrival_time=%02d\\:%02d\\:%02d" % \
+              (arrivalTime.hour, arrivalTime.minute, arrivalTime.second)
+        print >> f, "foglalas_id=%s" % ("0" if self.id is None else self.id,)
 
 #---------------------------------------------------------------------------------------
@@ -470,5 +468,5 @@
 
         md5 = hashlib.md5()
-        md5.update(password.encode("utf-8"))
+        md5.update(password)
         self._passwordHash = md5.hexdigest()
 
@@ -525,5 +523,6 @@
 
         for flights in [bookedFlights, reportedFlights, rejectedFlights]:
-            flights.sort(key = lambda flight: flight.departureTime)
+            flights.sort(cmp = lambda flight1, flight2:
+                         cmp(flight1.departureTime, flight2.departureTime))
 
         return (bookedFlights, reportedFlights, rejectedFlights)
Index: src/mlx/rpccommon.py
===================================================================
--- src/mlx/rpccommon.py	(revision 919)
+++ src/mlx/rpccommon.py	(revision 742)
@@ -3,5 +3,5 @@
 #------------------------------------------------------------------------------
 
-from . import const
+import const
 
 #------------------------------------------------------------------------------
@@ -51,5 +51,5 @@
         """Check if the gate of the given plane conflicts with another plane's
         position."""
-        for p in self._planes.values():
+        for p in self._planes.itervalues():
             if p.tailNumber!=plane.tailNumber and \
                p.status==const.PLANE_HOME and \
@@ -62,5 +62,5 @@
         """Get a set containing the numbers of the gates occupied by planes."""
         gateNumbers = set()
-        for p in self._planes.values():
+        for p in self._planes.itervalues():
             if p.status==const.PLANE_HOME and p.gateNumber:
                 gateNumbers.add(p.gateNumber)
@@ -80,5 +80,5 @@
     def __iter__(self):
         """Get an iterator over the planes."""
-        for plane in self._planes.values():
+        for plane in self._planes.itervalues():
             yield plane
 
Index: src/mlx/singleton.py
===================================================================
--- src/mlx/singleton.py	(revision 919)
+++ src/mlx/singleton.py	(revision 401)
@@ -1,4 +1,4 @@
 
-from .util import utf2unicode
+from util import utf2unicode
 
 import os
@@ -59,8 +59,8 @@
                         break
 
-                    print("singleton._PipeServer.run: created the pipe")
+                    print "singleton._PipeServer.run: created the pipe"
                     try:
                         if win32pipe.ConnectNamedPipe(handle)==0:
-                            print("singleton._PipeServer.run: client connection received")
+                            print "singleton._PipeServer.run: client connection received"
                             (code, message) = \
                                 win32file.ReadFile(handle,
@@ -69,17 +69,17 @@
 
                             if code==0:
-                                print("singleton._PipeServer.run: message received from client")
+                                print "singleton._PipeServer.run: message received from client"
                                 self._raiseCallback()
                             else:
-                                print("singleton._PipeServer.run: failed to read from the pipe")
-                    except Exception as e:
-                        print("singleton._PipeServer.run: exception:", end=' ')
-                        print(utf2unicode(str(e)))
+                                print "singleton._PipeServer.run: failed to read from the pipe"
+                    except Exception, e:
+                        print "singleton._PipeServer.run: exception:",
+                        print utf2unicode(str(e))
                     finally:
                         win32pipe.DisconnectNamedPipe(handle)
                         win32file.CloseHandle(handle)
-            except Exception as e:
-                print("singleton._PipeServer.run: fatal exception:", end=' ')
-                print(utf2unicode(str(e)))
+            except Exception, e:
+                print "singleton._PipeServer.run: fatal exception:",
+                print utf2unicode(str(e))
                             
         def _createPipe(self):
@@ -96,5 +96,5 @@
                                                None)
             if handle==win32file.INVALID_HANDLE_VALUE:
-                print("singleton._PipeServer.run: could not create the handle")
+                print "singleton._PipeServer.run: could not create the handle"
                 return None
             else:
@@ -144,10 +144,10 @@
                     f.close()
                     return
-                except Exception as e:
-                    print("SingleInstance._notifySingleton: failed:", end=' ')
-                    print(utf2unicode(str(e)))
+                except Exception, e:
+                    print "SingleInstance._notifySingleton: failed:",
+                    print utf2unicode(str(e))
                     time.sleep(0.5)
         
-        def __bool__(self):
+        def __nonzero__(self):
             """Return a boolean representation of the object.
 
@@ -194,7 +194,7 @@
                     s.recv(64)
                     self._raiseCallback()
-            except Exception as e:
-                print("singleton._SocketServer.run: fatal exception:", end=' ')
-                print(utf2unicode(str(e)))
+            except Exception, e:
+                print "singleton._SocketServer.run: fatal exception:",
+                print utf2unicode(str(e))
     
     class SingleInstance(object):
@@ -218,5 +218,5 @@
                 fcntl.lockf(self._lockFile, fcntl.LOCK_EX | fcntl.LOCK_NB)
                 self._isSingle = True
-            except Exception as e:
+            except Exception, e:
                 self._lockFile.close()
                 self._lockFile = None
@@ -259,10 +259,10 @@
                     s.close()
                     return
-                except Exception as e:
-                    print("singleton.SingleInstance._notifySingleton: failed:", end=' ')
-                    print(utf2unicode(str(e)))
+                except Exception, e:
+                    print "singleton.SingleInstance._notifySingleton: failed:",
+                    print utf2unicode(str(e))
                     time.sleep(0.5)
 
-        def __bool__(self):
+        def __nonzero__(self):
             """Return a boolean representation of the object.
 
@@ -299,11 +299,11 @@
 if __name__=="__main__":
     def raiseCallback():
-        print("Raise the window!")
+        print "Raise the window!"
 
     instance = SingleInstance("mlx", raiseCallback)
     if instance:
-        print("The first instance")
+        print "The first instance"
         time.sleep(10)
     else:
-        print("The program is already running.")
-
+        print "The program is already running."
+
Index: src/mlx/sound.py
===================================================================
--- src/mlx/sound.py	(revision 919)
+++ src/mlx/sound.py	(revision 800)
@@ -1,4 +1,4 @@
 
-from .util import utf2unicode
+from util import utf2unicode
 
 import os
@@ -113,10 +113,10 @@
                     success = True
                     try:
-                        print("Closing", alias)
+                        print "Closing", alias
                         self._mci.send("close " + alias)
-                        print("Closed", alias)
-                    except Exception as e:
-                        print("Failed closing " + alias + ":", end=' ')
-                        print(utf2unicode(str(e)))
+                        print "Closed", alias
+                    except Exception, e:
+                        print "Failed closing " + alias + ":",
+                        print utf2unicode(str(e))
                         success = False
 
@@ -130,5 +130,5 @@
                     try:
                         alias = "mlxsound%d" % (counter,)
-                        print("Starting to play", path, "as", alias)
+                        print "Starting to play", path, "as", alias
                         self._mci.send("open \"%s\" alias %s" % \
                                        (path, alias))
@@ -144,8 +144,8 @@
                             self._pending.append((timeout, (alias, finishData)))
                             self._pending.sort()
-                        print("Started to play", path)
-                    except Exception as e:
-                        print("Failed to start playing " + path + ":", end=' ')
-                        print(utf2unicode(str(e)))
+                        print "Started to play", path
+                    except Exception, e:
+                        print "Failed to start playing " + path + ":",
+                        print utf2unicode(str(e))
                         (finishCallback, extra) = finishData
                         if finishCallback is not None:
@@ -220,5 +220,5 @@
 
             Gst.init(None)
-        except Exception as e:
+        except Exception, e:
             outQueue.put(False)
             outQueue.put(e)
@@ -351,6 +351,6 @@
         else:
             exception = _inQueue.get()
-            print("The Gst library is missing from your system. It is needed for sound playback on Linux:")
-            print(exception)
+            print "The Gst library is missing from your system. It is needed for sound playback on Linux:"
+            print exception
 
     def startSound(name, finishCallback = None, extra = None):
@@ -387,5 +387,5 @@
 
     def callback(result, extra):
-        print("callback", result, extra)
+        print "callback", result, extra
 
     preInitializeSound()
@@ -393,5 +393,5 @@
     soundsPath = os.path.abspath(os.path.join(os.path.dirname(os.path.abspath(__file__)),
                                               "..", "..", "sounds"))
-    print("soundsPath:", soundsPath)
+    print "soundsPath:", soundsPath
     initializeSound(soundsPath)
     startSound("notam.mp3", finishCallback = callback, extra= "notam.mp3")
Index: src/mlx/soundsched.py
===================================================================
--- src/mlx/soundsched.py	(revision 919)
+++ src/mlx/soundsched.py	(revision 352)
@@ -1,6 +1,6 @@
 
-from .sound import startSound
-from . import const
-from . import fs
+from sound import startSound
+import const
+import fs
 
 import threading
@@ -64,7 +64,7 @@
         """Called when the playback of thee sound has finished (or failed)."""
         if success is None:
-            print("Failed to start sound", self._name)
+            print "Failed to start sound", self._name
         elif not success:
-            print("Failed to finish sound", self._name)
+            print "Failed to finish sound", self._name
         with Sound._lock:            
             self._playing -= 1
Index: src/mlx/test.py
===================================================================
--- src/mlx/test.py	(revision 919)
+++ src/mlx/test.py	(revision 27)
@@ -1,9 +1,9 @@
 # Test module
 
-from . import fs
-from . import flight
-from . import logger
-from . import acft
-from . import const
+import fs
+import flight
+import logger
+import acft
+import const
 
 import time
@@ -11,5 +11,5 @@
 
 def callback(data, extra):
-    print(data)
+    print data
 
 def main():
Index: src/mlx/update.py
===================================================================
--- src/mlx/update.py	(revision 950)
+++ src/mlx/update.py	(revision 788)
@@ -1,9 +1,9 @@
 
-from .config import Config
-from .util import utf2unicode
+from config import Config
+from util import utf2unicode
 
 import os
 import sys
-import urllib.request, urllib.error, urllib.parse
+import urllib2
 import tempfile
 import socket
@@ -11,5 +11,4 @@
 import hashlib
 import traceback
-import io
 
 if os.name=="nt":
@@ -58,5 +57,5 @@
 
         Each file is returned as a 3-tuple with items as in the file."""
-        for (path, (size, sum)) in self._files.items():
+        for (path, (size, sum)) in self._files.iteritems():
             yield (path, size, sum)
 
@@ -100,5 +99,5 @@
     def writeInto(self, file):
         """Write the manifest into the file at the given path."""
-        for (path, (size, sum)) in self._files.items():
+        for (path, (size, sum)) in self._files.iteritems():
             file.write("%s\t%d\t%s\n" % (path, size, sum))
 
@@ -120,11 +119,5 @@
                 modifiedAndNew.append((path, otherSize, otherSum))
 
-        if os.name=="nt":
-            otherFiles = [path.lower() for path in other._files]
-        else:
-            otherFiles = other._files
-
-        removed = [path for path in self._files if
-                   (path.lower() if os.name=="nt" else path) not in otherFiles]
+        removed = [path for path in self._files if path not in other._files]
         
         return (modifiedAndNew, removed)
@@ -202,5 +195,5 @@
     def _send(self, words):
         """Send the given words via the socket."""
-        self._sock.send(bytes("\t".join(words) + "\n", "utf-8"))
+        self._sock.send("\t".join(words) + "\n")
 
 #------------------------------------------------------------------------------
@@ -214,6 +207,6 @@
         with open(manifestPath, "rt") as f:
             manifest.readFrom(f)
-    except Exception as e:
-        print("Error reading the manifest, ignoring:", utf2unicode(str(e)))
+    except Exception, e:
+        print "Error reading the manifest, ignoring:", utf2unicode(str(e))
         manifest = Manifest()
 
@@ -233,12 +226,10 @@
     try:
         updateManifest = Manifest()
-        reply = urllib.request.urlopen(updateURL + "/" + manifestName)
-        charset = reply.headers.get_content_charset()
-        content = reply.read().decode("utf-8" if charset is None else charset)
-        updateManifest.readFrom(io.StringIO(content))
-
-    except Exception as e:
+        f= urllib2.urlopen(updateURL + "/" + manifestName)
+        updateManifest.readFrom(f)
+
+    except Exception, e:
         error = utf2unicode(str(e))
-        print("Error downloading manifest:", error, file=sys.stderr)
+        print >> sys.stderr, "Error downloading manifest:", error
         listener.failed(error)
         return None
@@ -299,5 +290,5 @@
         try:
             sum = hashlib.md5()
-            sum.update(bytes(path, "utf-8"))
+            sum.update(path)
             toremoveDir = getToremoveDir(toremoveDir, directory)
             targetPath = os.path.join(toremoveDir, sum.hexdigest())
@@ -307,6 +298,6 @@
                 pass
             os.rename(path, targetPath)
-        except Exception as e:
-            print("Cannot remove file " + path + ": " + utf2unicode(str(e)))
+        except Exception, e:
+            print "Cannot remove file " + path + ": " + utf2unicode(str(e))
 
 #------------------------------------------------------------------------------
@@ -364,9 +355,9 @@
 
             targetDirectory = os.path.dirname(targetFile)
-            if targetDirectory and not os.path.isdir(targetDirectory):
+            if not os.path.isdir(targetDirectory):
                 os.makedirs(targetDirectory)
                 
             with open(targetFile, "wb") as fout:
-                fin = urllib.request.urlopen(updateURL + "/" + path)
+                fin = urllib2.urlopen(updateURL + "/" + path)
                 while True:
                     data = fin.read(4096)
@@ -400,10 +391,10 @@
         
         listener.done()
-    except Exception as e:
+    except Exception, e:
         exc = traceback.format_exc()
-        print(utf2unicode(exc), file=sys.stderr)
+        print >> sys.stderr, utf2unicode(exc)
         
         error = utf2unicode(str(e))
-        print("Error:", error, file=sys.stderr)
+        print >> sys.stderr, "Error:", error
 
         listener.failed(error)
@@ -418,5 +409,5 @@
         f.close()
         return True
-    except Exception as e:
+    except Exception, e:
         return False
     finally:
@@ -448,8 +439,8 @@
                 listener.downloadedManifest()
             elif command=="setTotalSize":
-                listener.setTotalSize(int(words[1]), int(words[2]),
+                listener.setTotalSize(int(words[1]), long(words[2]),
                                       int(words[3]), int(words[4]))
             elif command=="setDownloaded":
-                listener.setDownloaded(int(words[1]))
+                listener.setDownloaded(long(words[1]))
             elif command=="startRenaming":
                 listener.startRenaming()
@@ -466,7 +457,7 @@
             elif command=="failed":
                 listener.failed(words[1])
-        except Exception as e:
-            print("Failed to parse line '%s': %s" % \
-                  (line, utf2unicode(str(e))), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, "Failed to parse line '%s': %s" % \
+                  (line, utf2unicode(str(e)))
 
     return buffer
@@ -514,5 +505,5 @@
                 break;
 
-            buffer += str(data, "utf-8")
+            buffer += data
             buffer = processMLXUpdate(buffer, listener)
 
@@ -523,7 +514,7 @@
             process.wait()
         
-    except Exception as e:
+    except Exception, e:
         error = utf2unicode(str(e))
-        print("Failed updating:", error, file=sys.stderr)
+        print >> sys.stderr, "Failed updating:", error
         listener.failed(error)
     finally:
@@ -572,10 +563,10 @@
             updateFiles(directory, updateURL, listener, updateManifest,
                         modifiedAndNew, removed, localRemoved)
-    except Exception as e:
+    except Exception, e:
         exc = traceback.format_exc()
-        print(utf2unicode(exc), file=sys.stderr)
+        print >> sys.stderr, utf2unicode(exc)
         
         error = utf2unicode(str(e))
-        print("Update error:", error, file=sys.stderr)
+        print >> sys.stderr, "Update error:", error
         
         listener.failed(error)
@@ -605,5 +596,5 @@
     except:
         exc = traceback.format_exc()
-        print(utf2unicode(exc), file=sys.stderr)
+        print >> sys.stderr, utf2unicode(exc)
 
 #------------------------------------------------------------------------------
Index: src/mlx/util.py
===================================================================
--- src/mlx/util.py	(revision 929)
+++ src/mlx/util.py	(revision 784)
@@ -43,7 +43,7 @@
 #------------------------------------------------------------------------------
 
-def getCoordinateString(xxx_todo_changeme):
+def getCoordinateString((latitude, longitude)):
     """Get the string representation of the given coordinate pair."""
-    (latitude, longitude) = xxx_todo_changeme
+
     latitude_str = getLatitudeString(latitude)
     longitude_str = getLongitudeString(longitude)
@@ -79,5 +79,5 @@
     (deg, min, sec, _sign) = getDegMinSec(degree)
 
-    return "%s%d\u00b0%02d\u2032%02d\u2033" % (prefix, deg, min, sec)
+    return u"%s%d\u00b0%02d\u2032%02d\u2033" % (prefix, deg, min, sec)
 
 #------------------------------------------------------------------------------
@@ -174,18 +174,9 @@
 def utf2unicode(text):
     """Convert the given text from UTF-8 encoding to unicode."""
-    if isinstance(text, str):
-        if text.startswith("list indices must be"):
-            import traceback
-            traceback.print_exc()
-
-        return text
-
     try:
-        return str(_utf8decoder(text)[0])
+        return unicode(_utf8decoder(text)[0])
     except:
-        import traceback
-        traceback.print_exc()
         try:
-            return str(_latin2decoder(text)[0])
+            return unicode(_latin2decoder(text)[0])
         except:
-            return str(list(text))
+            return unicode(list(text))
Index: src/mlx/watchdog.py
===================================================================
--- src/mlx/watchdog.py	(revision 919)
+++ src/mlx/watchdog.py	(revision 535)
@@ -60,7 +60,7 @@
 
         if logTimeout:
-            print("Watchdog client %s has timed out!" % (self._name))
+            print "Watchdog client %s has timed out!" % (self._name)
         elif logCleared:
-            print("Watchdog client %s has been cleared." % (self._name))
+            print "Watchdog client %s has been cleared." % (self._name)
 
 #-----------------------------------------------------------------------------
@@ -115,5 +115,5 @@
 
             if t>=nextLogTime:
-                print("Watchdog.run: running")
+                print "Watchdog.run: running"
                 while t>=nextLogTime:
                     nextLogTime += self.LOG_INTERVAL
